<<< Previous |  | Next >>>

# leaf

## Name

leaf -- Lightweight Editor of Ascii(and more) Files

## Synopsis

leaf [-d `dictionary`] [+`n`] [`filename`]

## USAGE

leaf is a simple console text file editor, with paragraph word-wrapping and spell checking. leaf is based on the text editor in the `Cone` mail reader and composer. leaf opens `filename`, position the cursor on the first line, or line #`n`, if specified.

This is not really the best editor for program sources. leaf is meant to be used as a quick editor for writing short notes and memos. As text is typed, words will automatically flow to wrap within a typical 80-character terminal display, even on larger display (due to leaf's heritage as an editor for E-mail messages, which are traditionally formatted to fit an 80-character display). Word wrapping is "lazy": only long text lines are wrapped. Short text lines are not folded together. Individual paragraphs are separated by blank lines of text. Press CTRL-J to optimally rewrap the paragraph under the cursor. The bottom two lines on the screen list which keys to press for other functions.

The `-d` sets the name of the dictionary used for spell checking (overriding the default spell checking dictionary set by the `DICTIONARY` environment variable). `+`n`` sets the initial cursor position to line #`n`.

## SEE ALSO

emacs(1), vi(1)

<<< Previous | Home | Next >>>
cone | Up | mailtool